Subject: Serial problem with MPC8241-based board

From: Zoltan HERPAI <[email-masked]>
Date: Sun, 03 Sep 2006 17:36:47 +0200

Hi all,

I've recently acquired an Allnet 6250 NAS, which has an MPC8241-based 
board. Since its GPL tarball is not available fully, I began to build a 
toolchain based on gcc-3.4.6 and binutils-2.16.1, and an up-to-date 
kernel for it. PPCboot states that this is a Sandpoint 8241 Unity board, 
so the platforms/sandpoint.* was chosen as a starting point, however, 
after rewriting the irq and ioport values in sandpoint.h to the ones 
(irq 137, ioport 0x80004500), no output came out of the serial port. 
After a few days of tweaking around with variables is sandpoint.h, a 
google session revealed that this board is 99% the same as the Buffalo 
Linkstation's is, which has a 2.6.x port also, but those kernels are 
also failing to display any output.
Can anyone shed some light on what points should I check and what may I 
have done wrong?

Regards,
Zoltan HERPAI